package com.vendor.burn.commands;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.burn.commands.SerialCommand;

public class UnZipCommand extends SerialCommand {
  private static final String KEY_UNZIP = "unzip";
  
  private static StringBuilder sb = new StringBuilder();
  
  private UnZipCommand(String command) {
    setCommand(command);
  }
  
  public static com.vendor.burn.commands.UnZipCommand unzip(String srcAddr, String dstAddr) {
    sb.delete(0, sb.length());
    sb.append("unzip").append(" ");
    if (!srcAddr.startsWith("0x"))
      sb.append("0x"); 
    sb.append(srcAddr).append(" ");
    if (!dstAddr.startsWith("0x"))
      sb.append("0x"); 
    sb.append(dstAddr);
    com.vendor.burn.commands.UnZipCommand unZipCommand = new com.vendor.burn.commands.UnZipCommand(sb.toString());
    return unZipCommand;
  }
  
  public String toString() {
    return sb.toString();
  }
}
